using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;

public class Player : MonoBehaviour
{
	public bool isMovingRight = true;
	public float speed;
	public float impulseForce;
	private Vector3 spawnPos;
    public Text textDisplay;
    private int score = 0;

    public float acceleration = 0.1f;
    public float maxSpeed = 20;

    public Spike spike;
    public Spike spike2;
    public Spike spike3;

    public Spike spike11;
    public Spike spike22;
    public Spike spike33;


    void Start()
	{
		spawnPos = new Vector3(transform.position.x , transform.position.y ,transform.position.z);
	}

    void OnTriggerEnter(Rigidbody obj)
	{
		if(obj.gameObject.tag == "WallR") 
		{
            spike.timerStarted = true;
            spike2.timerStarted = true;
            spike3.timerStarted = true;
            score += 1;
            textDisplay.text = score.ToString();
            isMovingRight = true;
		}
        if (obj.gameObject.tag == "WallL")
        {
            spike11.timerStarted = true;
            spike22.timerStarted = true;
            spike33.timerStarted = true;
            score += 1;
            textDisplay.text = score.ToString();
            isMovingRight = false;
        }

        if (obj.gameObject.tag == "Spike")
        {
            Dead();
        }
    }

    void Dead()
    {
        speed = 9f;
        rigidbody.linearVelocity = Vector3.zero;
        transform.position = spawnPos;
        score = 0;
        textDisplay.text = score.ToString();
    }

	void Update()
	{
        speed = Mathf.Min(speed + (acceleration * Time.deltaTime), maxSpeed);

        if (Input.GetMouseButtonDown(0))
		{
            rigidbody.linearVelocity = Vector2.up * impulseForce;
        }

		if (isMovingRight)
		{
            transform.position += Vector3.right * speed * Time.deltaTime;
        }
		
		if(!isMovingRight)
		{
            transform.position -= Vector3.right * speed * Time.deltaTime;
        }
	}
}
