using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;

public class Spike : MonoBehaviour
{
	public float upperPoint;
	public float lowerPoint;
	private float timer = 30f;
	private float time = 0f;
	public bool timerStarted = false;
	public void changePos()
	{
		float pos = FalcoEngine.Random.Range(lowerPoint, upperPoint);

		transform.position = new Vector3(transform.position.x, pos, transform.position.z);
	}

	void FixedUpdate()
	{
		if (timerStarted)
		{
			time++;
			if(time >= timer)
			{
				changePos();
				time = 0f;
				timerStarted = false;
			}
		}
	}
}
